<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>owasp zap web ui</title>
<link
	href="2022-12-22-ZAP-web-ui-/normalize/normalize.css" rel="stylesheet">
<link
	href="2022-12-22-ZAP-web-ui-/themes/original/main.css" rel="stylesheet">
<link
	href="2022-12-22-ZAP-web-ui-/themes/original/colors.css" rel="stylesheet">
</head>
<body>
	<header>
		<h1>owasp zap web ui</h1>
		<p>
			<span>Generated with</span> <a href="https://zaproxy.org"><img
				src="2022-12-22-ZAP-web-ui-/zap32x32.png" alt="The ZAP logo" class="zap-logo">ZAP</a>
			<span>on Thu 22 Dec 2022, at 15:18:26</span>
		</p>
	</header>

	<main>

		<section id="contents" class="contents">
			<h2>Contents</h2>
			<nav>
				<ol>
					<li><a
						href="#about-this-report">About this report</a>
						<ol>
							
							<li><a
								href="#report-parameters">Report parameters</a></li>
						</ol></li>
					<data-th-block>
					<li><a
						href="#summaries">Summaries</a>
						<ol>
							<li><a
								href="#risk-confidence-counts">Alert counts by risk and confidence</a></li>
							<li><a
								href="#site-risk-counts">Alert counts by site and risk</a></li>
							<li><a
								href="#alert-type-counts">Alert counts by alert type</a></li>
						</ol></li>
					<li><a
						href="#alerts">Alerts</a>
						<ol>
							
							
							
							
							
							
							
							
							
							<li><a
								href="#alerts--risk-3-confidence-1"><span>Risk</span>=<span
									class="risk-level">High</span>, <span>Confidence</span>=<span
									class="confidence-level">Low</span> <span>(1)</span></a></li>
							  
							
							
							
							
							<li><a
								href="#alerts--risk-2-confidence-3"><span>Risk</span>=<span
									class="risk-level">Medium</span>, <span>Confidence</span>=<span
									class="confidence-level">High</span> <span>(2)</span></a></li>
							
							<li><a
								href="#alerts--risk-2-confidence-2"><span>Risk</span>=<span
									class="risk-level">Medium</span>, <span>Confidence</span>=<span
									class="confidence-level">Medium</span> <span>(2)</span></a></li>
							
							
							  
							
							
							
							
							
							
							<li><a
								href="#alerts--risk-1-confidence-2"><span>Risk</span>=<span
									class="risk-level">Low</span>, <span>Confidence</span>=<span
									class="confidence-level">Medium</span> <span>(1)</span></a></li>
							
							
							  
							
							
							
							
							
							
							<li><a
								href="#alerts--risk-0-confidence-2"><span>Risk</span>=<span
									class="risk-level">Informational</span>, <span>Confidence</span>=<span
									class="confidence-level">Medium</span> <span>(3)</span></a></li>
							
							<li><a
								href="#alerts--risk-0-confidence-1"><span>Risk</span>=<span
									class="risk-level">Informational</span>, <span>Confidence</span>=<span
									class="confidence-level">Low</span> <span>(2)</span></a></li>
							  
						</ol></li>
					<li><a
						href="#appendix">Appendix</a>
						<ol>
							<li><a
								href="#alert-types">Alert types</a></li>
						</ol></li>
					</data-th-block>
				</ol>
			</nav>
		</section>

		<section
			id="about-this-report" class="about-this-report">
			<h2>About this report</h2>

			

			<section
				id="report-parameters">
				<h3>Report parameters</h3>
				<div class="report-parameters--container">
					<h4>Contexts</h4>
					
					
					<p>No contexts were selected, so all contexts were included by default.</p>
					  

					<h4>Sites</h4>
					
					<p>The following sites were included:</p>
					<ul class="sites-list">
						<li><span class="site">https://alta-shop.vercel.app</span></li>
						<li><span class="site">http://alta-shop.vercel.app</span></li>
					</ul>
					
					<p>(If no sites were selected, all sites were included by default.)</p>
					<p>An included site must also be within one of the included contexts for its data to be included in the report.</p>

					<h4>Risk levels</h4>
					<p>
						<span>Included</span>:
						 
						<span class="included-risk-codes"><span class="risk-level">High</span>, <span class="risk-level">Medium</span>, <span class="risk-level">Low</span>, <span class="risk-level">Informational</span></span>
					</p>
					<p>
						<span>Excluded</span>:
						 <span>None</span>
						
					</p>

					<h4>Confidence levels</h4>
					<p>
						<span>Included</span>:
						
						
						<span class="included-confidence-codes"><span class="confidence-level">User Confirmed</span>, <span class="confidence-level">High</span>, <span class="confidence-level">Medium</span>, <span class="confidence-level">Low</span></span>
					</p>
					<p>
						<span>Excluded</span>:
						
						
						<span class="included-confidence-codes"> <span class="confidence-level">User Confirmed</span>, <span class="confidence-level">High</span>, <span class="confidence-level">Medium</span>, <span class="confidence-level">Low</span>, <span class="confidence-level">False Positive</span></span>
					</p>
				</div>
			</section>
		</section>

		
		<section>
			
		</section>
		
		<section id="summaries" class="summaries">
			<h2>Summaries</h2>

			<section
				id="risk-confidence-counts">
				<h3>Alert counts by risk and confidence</h3>
				<table class="risk-confidence-counts-table">
					<caption>
						<p>This table shows the number of alerts for each level of risk and confidence included in the report.</p>
						<p>(The percentages in brackets represent the count as a percentage of the total number of alerts included in the report, rounded to one decimal place.)</p>
					</caption>
					<colgroup>
						<col>
						<col>
					</colgroup>
					<colgroup>
						<col
							style="width: 14.0%"><col
							style="width: 14.0%"><col
							style="width: 14.0%"><col
							style="width: 14.0%">
						<col style="width: 14.0%">
					</colgroup>
					<thead>
						<tr>
							<td colspan="2" rowspan="2"></td>
							<th scope="colgroup"
								colspan="5">Confidence</th>
						</tr>
						<tr>
							<th scope="col">User Confirmed</th>
							<th scope="col">High</th>
							<th scope="col">Medium</th>
							<th scope="col">Low</th>
							<th scope="col">Total</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<th scope="rowgroup"
								rowspan="5">Risk</th>
							<th scope="row">High</th>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>1</span><br> <span
								class="additional-info-percentages">(9.1%)</span></td>
							<td><span>1</span><br> <span class="additional-info-percentages">(9.1%)</span></td>
						</tr>
						<tr>
							
							<th scope="row">Medium</th>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>2</span><br> <span
								class="additional-info-percentages">(18.2%)</span></td>
							<td><span>2</span><br> <span
								class="additional-info-percentages">(18.2%)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>4</span><br> <span class="additional-info-percentages">(36.4%)</span></td>
						</tr>
						<tr>
							
							<th scope="row">Low</th>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>1</span><br> <span
								class="additional-info-percentages">(9.1%)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>1</span><br> <span class="additional-info-percentages">(9.1%)</span></td>
						</tr>
						<tr>
							
							<th scope="row">Informational</th>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>3</span><br> <span
								class="additional-info-percentages">(27.3%)</span></td>
							<td><span>2</span><br> <span
								class="additional-info-percentages">(18.2%)</span></td>
							<td><span>5</span><br> <span class="additional-info-percentages">(45.5%)</span></td>
						</tr>
						<tr>
							<th scope="row">Total</th>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0.0%)</span></td>
							<td><span>2</span><br> <span
								class="additional-info-percentages">(18.2%)</span></td>
							<td><span>6</span><br> <span
								class="additional-info-percentages">(54.5%)</span></td>
							<td><span>3</span><br> <span
								class="additional-info-percentages">(27.3%)</span></td>
							<td><span>11</span><br> <span
								class="additional-info-percentages">(100%)</span></td>
						</tr>
					</tbody>
				</table>
			</section>

			<section
				id="site-risk-counts">
				<h3>Alert counts by site and risk</h3>
				<table class="site-risk-counts-table">
					<caption>
						<p>This table shows, for each site for which one or more alerts were raised, the number of alerts raised at each risk level.</p>
						<p>Alerts with a confidence level of &quot;False Positive&quot; have been excluded from these counts.</p>
						<p>(The numbers in brackets are the number of alerts raised for the site at or above that risk level.)</p>
					</caption>
					<colgroup>
						<col>
						<col>
					</colgroup>
					<colgroup>
						<col
							style="width: 16.25%"><col
							style="width: 16.25%"><col
							style="width: 16.25%"><col
							style="width: 16.25%">
					</colgroup>
					<thead>
						<tr>
							<td colspan="2" rowspan="2"></td>
							<th scope="colgroup" colspan="4">Risk</th>
						</tr>
						<tr>
							<th scope="col">
								<span>High</span><br>  <span
									class="additional-info-percentages">(= High)</span>  
							</th>
							<th scope="col">
								<span>Medium</span><br>   <span
									class="additional-info-percentages">(&gt;= Medium)</span> 
							</th>
							<th scope="col">
								<span>Low</span><br>   <span
									class="additional-info-percentages">(&gt;= Low)</span> 
							</th>
							<th scope="col">
								<span>Informational</span><br>   <span
									class="additional-info-percentages">(&gt;= Informational)</span> 
							</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<th scope="rowgroup"
								rowspan="2">Site</th>
							<th scope="row">https://alta-shop.vercel.app</th>
							
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0)</span></td>
							<td><span>0</span><br> <span
								class="additional-info-percentages">(0)</span></td>
							<td><span>2</span><br> <span
								class="additional-info-percentages">(2)</span></td>
							
						</tr>
						<tr>
							
							<th scope="row">http://alta-shop.vercel.app</th>
							
							<td><span>1</span><br> <span
								class="additional-info-percentages">(1)</span></td>
							<td><span>4</span><br> <span
								class="additional-info-percentages">(5)</span></td>
							<td><span>1</span><br> <span
								class="additional-info-percentages">(6)</span></td>
							<td><span>3</span><br> <span
								class="additional-info-percentages">(9)</span></td>
							
						</tr>
					</tbody>
				</table>
			</section>

			<section
				id="alert-type-counts">
				<h3>Alert counts by alert type</h3>
				<table class="alert-type-counts-table">
					<caption>
						<p>This table shows the number of alerts of each alert type, together with the alert type&#39;s risk level.</p>
						<p>(The percentages in brackets represent each count as a percentage, rounded to one decimal place, of the total number of alerts included in this report.)</p>
					</caption>
					<thead>
						<tr>
							<th scope="col">Alert type</th>
							<th scope="col">Risk</th>
							<th scope="col">Count</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<th scope="row"><a
								href="#alert-type-0">Cloud Metadata Potentially Exposed</a></th>
							<td class="risk-level">High</td>
							<td><span>1</span><br> <span
								class="additional-info-percentages">(9.1%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-1">Content Security Policy (CSP) Header Not Set</a></th>
							<td class="risk-level">Medium</td>
							<td><span>4</span><br> <span
								class="additional-info-percentages">(36.4%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-2">Cross-Domain Misconfiguration</a></th>
							<td class="risk-level">Medium</td>
							<td><span>17</span><br> <span
								class="additional-info-percentages">(154.5%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-3">Hidden File Found</a></th>
							<td class="risk-level">Medium</td>
							<td><span>5</span><br> <span
								class="additional-info-percentages">(45.5%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-4">Missing Anti-clickjacking Header</a></th>
							<td class="risk-level">Medium</td>
							<td><span>4</span><br> <span
								class="additional-info-percentages">(36.4%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-5">X-Content-Type-Options Header Missing</a></th>
							<td class="risk-level">Low</td>
							<td><span>17</span><br> <span
								class="additional-info-percentages">(154.5%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-6">Information Disclosure - Suspicious Comments</a></th>
							<td class="risk-level">Informational</td>
							<td><span>8</span><br> <span
								class="additional-info-percentages">(72.7%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-7">Modern Web Application</a></th>
							<td class="risk-level">Informational</td>
							<td><span>5</span><br> <span
								class="additional-info-percentages">(45.5%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-8">Re-examine Cache-control Directives</a></th>
							<td class="risk-level">Informational</td>
							<td><span>3</span><br> <span
								class="additional-info-percentages">(27.3%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-9">Retrieved from Cache</a></th>
							<td class="risk-level">Informational</td>
							<td><span>17</span><br> <span
								class="additional-info-percentages">(154.5%)</span></td>
						</tr>
						<tr>
							<th scope="row"><a
								href="#alert-type-10">User Agent Fuzzer</a></th>
							<td class="risk-level">Informational</td>
							<td><span>36</span><br> <span
								class="additional-info-percentages">(327.3%)</span></td>
						</tr>
					</tbody>
					<tfoot>
						<tr>
							<th scope="row">Total</th>
							<td></td>
							<td>11</td>
						</tr>
					</tfoot>
				</table>
			</section>
		</section>

		<section id="alerts" class="alerts">
			<h2>Alerts</h2>
			<ol>
				
				 
				
				
				
				
				
				
				<li id="alerts--risk-3-confidence-1">
					<h3>
						<span>Risk</span>=<span
							class="risk-level">High</span>, <span>Confidence</span>=<span
							class="confidence-level">Low</span> <span>(1)</span>
					</h3>
					<ol>
						
						
						
						<li class="alerts--site-li">
							<h4>
								<span class="site">http://alta-shop.vercel.app</span> <span>(1)</span>
							</h4>
							<ol>
								
								<li>
									<h5>
										<a
											href="#alert-type-0">Cloud Metadata Potentially Exposed</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/latest/meta-data/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A05_2021-Security_Misconfiguration/">OWASP_2021_A05</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration.html">OWASP_2017_A06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The Cloud Metadata Attack attempts to abuse a misconfigured NGINX server in order to access the instance metadata maintained by cloud service providers such as AWS, GCP and Azure.</p>

<p>All of these providers provide metadata via an internal unroutable IP address &#39;169.254.169.254&#39; - this can be exposed by incorrectly configured NGINX servers and accessed by using this IP address in the Host header field.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>Based on the successful response status code cloud metadata may have been returned in the response. Check the response data to see if any cloud metadata has been returned.</p>

<p>The meta data returned can include information that would allow an attacker to completely compromise the system.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (228 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/latest/meta-data/ HTTP/1.1
Host: 169.154.169.254
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (278 bytes)</summary>
				
				<pre><code>HTTP/1.1 308 Permanent Redirect
Connection: keep-alive
Content-Type: text/plain
Date: Thu, 22 Dec 2022 08:08:13 GMT
Location: https://vercel.com/
Refresh: 0;url=https://vercel.com/
Server: Vercel
X-Vercel-Id: sin1::jlpml-1671696493626-61261444363a
Content-Length: 41

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (41 bytes)</summary>
				
				<pre><code>Redirecting to https://vercel.com/ (308)
</code></pre>
				
				
			</details></td>
	</tr>
	
	<tr>
		<th scope="row">Attack</th>
		<td><pre><code>169.154.169.254</code></pre></td>
	</tr>
	
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Do not trust any user data in NGINX configs. In this case it is probably the use of the $host variable which is set from the &#39;Host&#39; header and can be controlled by an attacker.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
							</ol>
						</li>
						
					</ol>
				</li>
				  
				 
				
				
				<li id="alerts--risk-2-confidence-3">
					<h3>
						<span>Risk</span>=<span
							class="risk-level">Medium</span>, <span>Confidence</span>=<span
							class="confidence-level">High</span> <span>(2)</span>
					</h3>
					<ol>
						
						
						
						<li class="alerts--site-li">
							<h4>
								<span class="site">http://alta-shop.vercel.app</span> <span>(2)</span>
							</h4>
							<ol>
								
								<li>
									<h5>
										<a
											href="#alert-type-1">Content Security Policy (CSP) Header Not Set</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A05_2021-Security_Misconfiguration/">OWASP_2021_A05</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration.html">OWASP_2017_A06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>Content Security Policy (CSP) is an added layer of security that helps to detect and mitigate certain types of attacks, including Cross Site Scripting (XSS) and data injection attacks. These attacks are used for everything from data theft to site defacement or distribution of malware. CSP provides a set of standard HTTP headers that allow website owners to declare approved sources of content that browsers should be allowed to load on that page — covered types are JavaScript, CSS, HTML frames, fonts, images and embeddable objects such as Java applets, ActiveX, audio and video files.</p>
 </td>
	</tr>
	
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (216 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/ HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2619996
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:55 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::5zg6d-1671696415229-dcaefac5acc5

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	
	
	
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Ensure that your web server, application server, load balancer, etc. is configured to set the Content-Security-Policy header, to achieve optimal browser support: &quot;Content-Security-Policy&quot; for Chrome 25+, Firefox 23+ and Safari 7+, &quot;X-Content-Security-Policy&quot; for Firefox 4.0+ and Internet Explorer 10+, and &quot;X-WebKit-CSP&quot; for Chrome 14+ and Safari 6+.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
								<li>
									<h5>
										<a
											href="#alert-type-3">Hidden File Found</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/CVS/root</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A05_2021-Security_Misconfiguration/">OWASP_2021_A05</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-web-security-testing-guide/v42/4-Web_Application_Security_Testing/02-Configuration_and_Deployment_Management_Testing/05-Enumerate_Infrastructure_and_Application_Admin_Interfaces">WSTG-v42-CONF-05</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration.html">OWASP_2017_A06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>A sensitive file was identified as accessible or available. This may leak administrative, configuration, or credential information which can be leveraged by a malicious individual to further attack the system or conduct social engineering efforts.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>cvs_dir</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (224 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/CVS/root HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (180 bytes)</summary>
				
				<pre><code>HTTP/1.0 308 Permanent Redirect
Content-Type: text/plain
Location: https://alta-shop.vercel.app/CVS/root
Refresh: 0;url=https://alta-shop.vercel.app/CVS/root
server: Vercel

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (52 bytes)</summary>
				
				<pre><code>Redirecting to https://alta-shop.vercel.app/CVS/root</code></pre>
				
				
			</details></td>
	</tr>
	
	
	<tr>
		<th scope="row">Evidence</th>
		<td><pre><code>HTTP/1.0 308 Permanent Redirect</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Consider whether or not the component is actually required in production, if it isn&#39;t then disable it. If it is then ensure access to it requires appropriate authentication and authorization, or limit exposure to internal systems or specific source IPs, etc.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
							</ol>
						</li>
						
					</ol>
				</li>
				
				<li id="alerts--risk-2-confidence-2">
					<h3>
						<span>Risk</span>=<span
							class="risk-level">Medium</span>, <span>Confidence</span>=<span
							class="confidence-level">Medium</span> <span>(2)</span>
					</h3>
					<ol>
						
						
						
						<li class="alerts--site-li">
							<h4>
								<span class="site">http://alta-shop.vercel.app</span> <span>(2)</span>
							</h4>
							<ol>
								
								<li>
									<h5>
										<a
											href="#alert-type-2">Cross-Domain Misconfiguration</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A01_2021-Broken_Access_Control/">OWASP_2021_A01</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A5_2017-Broken_Access_Control.html">OWASP_2017_A05</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>Web browser data loading may be possible, due to a Cross Origin Resource Sharing (CORS) misconfiguration on the web server</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>The CORS misconfiguration on the web server permits cross-domain read requests from arbitrary third party domains, using unauthenticated APIs on this domain. Web browser implementations do not permit arbitrary third parties to read the response from authenticated APIs, however. This reduces the risk somewhat. This misconfiguration could be used by an attacker to access data that is available in an unauthenticated manner, but which uses some other form of security, such as IP address white-listing.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (216 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/ HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2619996
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:55 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::5zg6d-1671696415229-dcaefac5acc5

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	
	
	<tr>
		<th scope="row">Evidence</th>
		<td><pre><code>Access-Control-Allow-Origin: *</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Ensure that sensitive data is not available in an unauthenticated manner (using IP address white-listing, for instance).</p>

<p>Configure the &quot;Access-Control-Allow-Origin&quot; HTTP header to a more restrictive set of domains, or remove all CORS headers entirely, to allow the web browser to enforce the Same Origin Policy (SOP) in a more restrictive manner.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
								<li>
									<h5>
										<a
											href="#alert-type-4">Missing Anti-clickjacking Header</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A05_2021-Security_Misconfiguration/">OWASP_2021_A05</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-web-security-testing-guide/v42/4-Web_Application_Security_Testing/11-Client-side_Testing/09-Testing_for_Clickjacking">WSTG-v42-CLNT-09</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration.html">OWASP_2017_A06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The response does not include either Content-Security-Policy with &#39;frame-ancestors&#39; directive or X-Frame-Options to protect against &#39;ClickJacking&#39; attacks.</p>
 </td>
	</tr>
	
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (216 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/ HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2619996
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:55 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::5zg6d-1671696415229-dcaefac5acc5

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Parameter</th>
		<td><pre><code>X-Frame-Options</code></pre></td>
	</tr>
	
	
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Modern Web browsers support the Content-Security-Policy and X-Frame-Options HTTP headers. Ensure one of them is set on all web pages returned by your site/app.</p>

<p>If you expect the page to be framed only by pages on your server (e.g. it&#39;s part of a FRAMESET) then you&#39;ll want to use SAMEORIGIN, otherwise if you never expect the page to be framed, you should use DENY. Alternatively consider implementing Content Security Policy&#39;s &quot;frame-ancestors&quot; directive.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
							</ol>
						</li>
						
					</ol>
				</li>
				
				
				  
				 
				
				
				
				
				<li id="alerts--risk-1-confidence-2">
					<h3>
						<span>Risk</span>=<span
							class="risk-level">Low</span>, <span>Confidence</span>=<span
							class="confidence-level">Medium</span> <span>(1)</span>
					</h3>
					<ol>
						
						
						
						<li class="alerts--site-li">
							<h4>
								<span class="site">http://alta-shop.vercel.app</span> <span>(1)</span>
							</h4>
							<ol>
								
								<li>
									<h5>
										<a
											href="#alert-type-5">X-Content-Type-Options Header Missing</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A05_2021-Security_Misconfiguration/">OWASP_2021_A05</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration.html">OWASP_2017_A06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The Anti-MIME-Sniffing header X-Content-Type-Options was not set to &#39;nosniff&#39;. This allows older versions of Internet Explorer and Chrome to perform MIME-sniffing on the response body, potentially causing the response body to be interpreted and displayed as a content type other than the declared content type. Current (early 2014) and legacy versions of Firefox will use the declared content type (if one is set), rather than performing MIME-sniffing.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>This issue still applies to error type pages (401, 403, 500, etc.) as those pages are often still affected by injection issues, in which case there is still concern for browsers sniffing pages away from their actual content type.</p>

<p>At &quot;High&quot; threshold this scan rule will not alert on client or server error responses.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (216 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/ HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2619996
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:55 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::5zg6d-1671696415229-dcaefac5acc5

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Parameter</th>
		<td><pre><code>X-Content-Type-Options</code></pre></td>
	</tr>
	
	
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Ensure that the application/web server sets the Content-Type header appropriately, and that it sets the X-Content-Type-Options header to &#39;nosniff&#39; for all web pages.</p>

<p>If possible, ensure that the end user uses a standards-compliant and modern web browser that does not perform MIME-sniffing at all, or that can be directed by the web application/web server to not perform MIME-sniffing.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
							</ol>
						</li>
						
					</ol>
				</li>
				
				
				  
				 
				
				
				
				
				<li id="alerts--risk-0-confidence-2">
					<h3>
						<span>Risk</span>=<span
							class="risk-level">Informational</span>, <span>Confidence</span>=<span
							class="confidence-level">Medium</span> <span>(3)</span>
					</h3>
					<ol>
						
						
						
						<li class="alerts--site-li">
							<h4>
								<span class="site">http://alta-shop.vercel.app</span> <span>(3)</span>
							</h4>
							<ol>
								
								<li>
									<h5>
										<a
											href="#alert-type-7">Modern Web Application</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The application appears to be a modern web application. If you need to explore it automatically then the Ajax Spider may well be more effective than the standard one.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>No links have been found while there are scripts, which is an indication that this is a modern web application.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (216 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/ HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2619996
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:55 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::5zg6d-1671696415229-dcaefac5acc5

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	
	
	<tr>
		<th scope="row">Evidence</th>
		<td><pre><code>&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>This is an informational alert and so no changes are required.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
								<li>
									<h5>
										<a
											href="#alert-type-9">Retrieved from Cache</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app/</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/www-project-web-security-testing-guide/v42/4-Web_Application_Security_Testing/04-Authentication_Testing/06-Testing_for_Browser_Cache_Weaknesses">WSTG-v42-ATHN-06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The content was retrieved from a shared cache. If the response data is sensitive, personal or user-specific, this may result in sensitive information being leaked. In some cases, this may even result in a user gaining complete control of the session of another user, depending on the configuration of the caching components in use in their environment. This is primarily an issue where caching servers such as &quot;proxy&quot; caches are configured on the local network. This configuration is typically found in corporate or educational environments, for instance. </p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>The presence of the &#39;Age&#39; header indicates that that a HTTP/1.1 compliant caching server is in use.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (216 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app/ HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2619996
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:55 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::5zg6d-1671696415229-dcaefac5acc5

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	
	
	<tr>
		<th scope="row">Evidence</th>
		<td><pre><code>Age: 2619996</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Validate that the response does not contain sensitive, personal or user-specific information.  If it does, consider the use of the following HTTP response headers, to limit, or prevent the content being stored and retrieved from the cache by another user:</p>

<p>Cache-Control: no-cache, no-store, must-revalidate, private</p>

<p>Pragma: no-cache</p>

<p>Expires: 0</p>

<p>This configuration directs both HTTP 1.0 and HTTP 1.1 compliant caching servers to not store the response, and to not retrieve the response (without validation) from the cache, in response to a similar request.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
								<li>
									<h5>
										<a
											href="#alert-type-10">User Agent Fuzzer</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET http://alta-shop.vercel.app</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>Check for differences in response based on fuzzed User Agent (eg. mobile sites, access as a Search Engine Crawler). Compares the response statuscode and the hashcode of the response body with the original response.</p>
 </td>
	</tr>
	
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (179 bytes)</summary>
				
				<pre><code>GET http://alta-shop.vercel.app HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1)
Pragma: no-cache
Cache-Control: no-cache

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (500 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2615429
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:08:18 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::8jz5d-1671696498759-c1f6f66de2d9

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Parameter</th>
		<td><pre><code>Header User-Agent</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Attack</th>
		<td><pre><code>Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1)</code></pre></td>
	</tr>
	
	
</table>

											</details></li>
									</ol>
								</li>
								
							</ol>
						</li>
						
					</ol>
				</li>
				
				<li id="alerts--risk-0-confidence-1">
					<h3>
						<span>Risk</span>=<span
							class="risk-level">Informational</span>, <span>Confidence</span>=<span
							class="confidence-level">Low</span> <span>(2)</span>
					</h3>
					<ol>
						
						<li class="alerts--site-li">
							<h4>
								<span class="site">https://alta-shop.vercel.app</span> <span>(2)</span>
							</h4>
							<ol>
								
								<li>
									<h5>
										<a
											href="#alert-type-6">Information Disclosure - Suspicious Comments</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET https://alta-shop.vercel.app/js/auth-login.3f381918.js</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/Top10/A01_2021-Broken_Access_Control/">OWASP_2021_A01</a></span> 
				</li>
				<li>
					<span><a href="https://owasp.org/www-project-top-ten/2017/A3_2017-Sensitive_Data_Exposure.html">OWASP_2017_A03</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The response appears to contain suspicious comments which may help an attacker. Note: Matches made within script blocks or files are against the entire content not only comments.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Other info</th>
		<td> 
<p>The following pattern was used: \bQUERY\b and was detected in the element starting with: &quot;(window[&quot;webpackJsonp&quot;]=window[&quot;webpackJsonp&quot;]||[]).push([[&quot;auth-login&quot;],{&quot;4bd4&quot;:function(t,e,r){&quot;use strict&quot;;var i=r(&quot;5530&quot;),a=&quot;, see evidence field for the suspicious comment/snippet.</p>
 </td>
	</tr>
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (282 bytes)</summary>
				
				<pre><code>GET https://alta-shop.vercel.app/js/auth-login.3f381918.js HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache
Referer: https://alta-shop.vercel.app/

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (546 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 12739
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline; filename=&quot;auth-login.3f381918.js&quot;
Content-Length: 4175
Content-Type: application/javascript; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:56 GMT
Etag: &quot;d1413055ec3a4ad779a37f2cd90a5d98&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::2z2r4-1671696416346-8dc4e81549ea

</code></pre>
				
				
			</details> <details class="response-body">
				<summary>Response body (4175 bytes)</summary>
				
				<pre><code>(window[&quot;webpackJsonp&quot;]=window[&quot;webpackJsonp&quot;]||[]).push([[&quot;auth-login&quot;],{&quot;4bd4&quot;:function(t,e,r){&quot;use strict&quot;;var i=r(&quot;5530&quot;),a=(r(&quot;caad&quot;),r(&quot;2532&quot;),r(&quot;07ac&quot;),r(&quot;4de4&quot;),r(&quot;d3b7&quot;),r(&quot;159b&quot;),r(&quot;7db0&quot;),r(&quot;58df&quot;)),n=r(&quot;7e2b&quot;),s=r(&quot;3206&quot;);e[&quot;a&quot;]=Object(a[&quot;a&quot;])(n[&quot;a&quot;],Object(s[&quot;b&quot;])(&quot;form&quot;)).extend({name:&quot;v-form&quot;,provide:function(){return{form:this}},inheritAttrs:!1,props:{disabled:Boolean,lazyValidation:Boolean,readonly:Boolean,value:Boolean},data:function(){return{inputs:[],watchers:[],errorBag:{}}},watch:{errorBag:{handler:function(t){var e=Object.values(t).includes(!0);this.$emit(&quot;input&quot;,!e)},deep:!0,immediate:!0}},methods:{watchInput:function(t){var e=this,r=function(t){return t.$watch(&quot;hasError&quot;,(function(r){e.$set(e.errorBag,t._uid,r)}),{immediate:!0})},i={_uid:t._uid,valid:function(){},shouldValidate:function(){}};return this.lazyValidation?i.shouldValidate=t.$watch(&quot;shouldValidate&quot;,(function(a){a&amp;&amp;(e.errorBag.hasOwnProperty(t._uid)||(i.valid=r(t)))})):i.valid=r(t),i},validate:function(){return 0===this.inputs.filter((function(t){return!t.validate(!0)})).length},reset:function(){this.inputs.forEach((function(t){return t.reset()})),this.resetErrorBag()},resetErrorBag:function(){var t=this;this.lazyValidation&amp;&amp;setTimeout((function(){t.errorBag={}}),0)},resetValidation:function(){this.inputs.forEach((function(t){return t.resetValidation()})),this.resetErrorBag()},register:function(t){this.inputs.push(t),this.watchers.push(this.watchInput(t))},unregister:function(t){var e=this.inputs.find((function(e){return e._uid===t._uid}));if(e){var r=this.watchers.find((function(t){return t._uid===e._uid}));r&amp;&amp;(r.valid(),r.shouldValidate()),this.watchers=this.watchers.filter((function(t){return t._uid!==e._uid})),this.inputs=this.inputs.filter((function(t){return t._uid!==e._uid})),this.$delete(this.errorBag,e._uid)}}},render:function(t){var e=this;return t(&quot;form&quot;,{staticClass:&quot;v-form&quot;,attrs:Object(i[&quot;a&quot;])({novalidate:!0},this.attrs$),on:{submit:function(t){return e.$emit(&quot;submit&quot;,t)}}},this.$slots.default)}})},5326:function(t,e,r){&quot;use strict&quot;;r.r(e);var i=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r(&quot;v-card&quot;,[r(&quot;v-card-title&quot;,[t._v(&quot;Login&quot;)]),r(&quot;v-card-text&quot;,[t.error?r(&quot;v-alert&quot;,{attrs:{border:&quot;top&quot;,&quot;colored-border&quot;:&quot;&quot;,type:&quot;error&quot;,elevation:&quot;2&quot;}},[t._v(&quot; &quot;+t._s(t.errorMessage)+&quot; &quot;)]):t._e(),r(&quot;v-form&quot;,{nativeOn:{submit:function(e){return e.preventDefault(),t.onLogin.apply(null,arguments)}},model:{value:t.isValid,callback:function(e){t.isValid=e},expression:&quot;isValid&quot;}},[r(&quot;v-text-field&quot;,{attrs:{label:&quot;Email&quot;},model:{value:t.user.email,callback:function(e){t.$set(t.user,&quot;email&quot;,e)},expression:&quot;user.email&quot;}}),r(&quot;v-text-field&quot;,{attrs:{label:&quot;Password&quot;},model:{value:t.user.password,callback:function(e){t.$set(t.user,&quot;password&quot;,e)},expression:&quot;user.password&quot;}}),r(&quot;div&quot;,{staticClass:&quot;text-center&quot;},[r(&quot;v-btn&quot;,{attrs:{color:&quot;primary&quot;,disabled:t.loading},on:{click:t.onLogin}},[t._v(&quot;Login&quot;)])],1)],1),r(&quot;div&quot;,{staticClass:&quot;mt-3 text-center&quot;},[t._v(&quot; Belum memiliki akun? &quot;),r(&quot;router-link&quot;,{attrs:{to:{name:&quot;AuthRegister&quot;}}},[t._v(&quot;Register&quot;)])],1)],1)],1)},a=[],n=r(&quot;1da1&quot;),s=(r(&quot;96cf&quot;),r(&quot;7ffd&quot;)),o={data:function(){return{isValid:!1,errorMessage:&quot;&quot;,user:{email:&quot;&quot;,password:&quot;&quot;}}},computed:{loading:Object(s[&quot;d&quot;])(&quot;auth/loading&quot;),error:Object(s[&quot;d&quot;])(&quot;auth/error&quot;)},methods:{login:Object(s[&quot;a&quot;])(&quot;auth/login&quot;),onLogin:function(){var t=this;return Object(n[&quot;a&quot;])(regeneratorRuntime.mark((function e(){var r;return regeneratorRuntime.wrap((function(e){while(1)switch(e.prev=e.next){case 0:return e.prev=0,e.next=3,t.login(t.user);case 3:r={name:t.$route.query.next||&quot;Home&quot;},t.$route.query.data&amp;&amp;(r.query={data:t.$route.query.data}),t.$router.push(r),e.next=11;break;case 8:e.prev=8,e.t0=e[&quot;catch&quot;](0),t.errorMessage=e.t0;case 11:case&quot;end&quot;:return e.stop()}}),e,null,[[0,8]])})))()}}},u=o,l=r(&quot;2877&quot;),d=r(&quot;6544&quot;),c=r.n(d),h=r(&quot;0798&quot;),f=r(&quot;8336&quot;),v=r(&quot;b0af&quot;),p=r(&quot;99d9&quot;),m=r(&quot;4bd4&quot;),b=r(&quot;8654&quot;),g=Object(l[&quot;a&quot;])(u,i,a,!1,null,null,null);e[&quot;default&quot;]=g.exports;c()(g,{VAlert:h[&quot;a&quot;],VBtn:f[&quot;a&quot;],VCard:v[&quot;a&quot;],VCardText:p[&quot;c&quot;],VCardTitle:p[&quot;d&quot;],VForm:m[&quot;a&quot;],VTextField:b[&quot;a&quot;]})}}]);
//# sourceMappingURL=auth-login.3f381918.js.map</code></pre>
				
				
			</details></td>
	</tr>
	
	
	<tr>
		<th scope="row">Evidence</th>
		<td><pre><code>query</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>Remove all comments that return information that may help an attacker and fix any underlying problems they refer to.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
								<li>
									<h5>
										<a
											href="#alert-type-8">Re-examine Cache-control Directives</a> <span>(1)</span>
									</h5>
									<ol>
										<li><details>
												<summary>
													<span class="request-method-n-url">GET https://alta-shop.vercel.app/sitemap.xml</span>
												</summary>
												
<table class="alerts-table">
	<tr>
		<th scope="row">Alert tags</th>
		<td>
			<ul class="alert-tags-list">
				<li>
					<span><a href="https://owasp.org/www-project-web-security-testing-guide/v42/4-Web_Application_Security_Testing/04-Authentication_Testing/06-Testing_for_Browser_Cache_Weaknesses">WSTG-v42-ATHN-06</a></span> 
				</li>
			</ul>
		</td>
	</tr>
	<tr>
		<th scope="row">Alert description</th>
		<td> 
<p>The cache-control header has not been set properly or is missing, allowing the browser and proxies to cache content. For static assets like css, js, or image files this might be intended, however, the resources should be reviewed to ensure that no sensitive content will be cached.</p>
 </td>
	</tr>
	
	<tr>
		<th scope="row">Request</th>
		<td><details open="open">
				<summary>Request line and header section (278 bytes)</summary>
				
				<pre><code>GET https://alta-shop.vercel.app/sitemap.xml HTTP/1.1
Host: alta-shop.vercel.app
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; x64; rv:105.0esr) Gecko/20010101 Firefox/105.0esr
Pragma: no-cache
Cache-Control: no-cache
Referer: http://alta-shop.vercel.app/sitemap.xml

</code></pre>
				
				
			</details> <details class="request-body" open="open">
				<summary>Request body (0 bytes)</summary>
				
				<pre><code></code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Response</th>
		<td><details open="open">
				<summary>Status line and header section (523 bytes)</summary>
				
				<pre><code>HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Age: 2610513
Cache-Control: public, max-age=0, must-revalidate
Connection: keep-alive
Content-Disposition: inline; filename=&quot;index.html&quot;
Content-Length: 1571
Content-Type: text/html; charset=utf-8
Date: Thu, 22 Dec 2022 08:06:56 GMT
Etag: &quot;c62993a959da1a2e6e1d9fe9d2d2fbb1&quot;
Server: Vercel
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Vercel-Cache: HIT
X-Vercel-Id: sin1:sin1::jlpml-1671696416143-e0dce8fb9c33

</code></pre>
				
				
			</details> <details class="response-body" open="open">
				<summary>Response body (1571 bytes)</summary>
				
				<pre><code>&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;&lt;meta name=&quot;viewport&quot; content=&quot;width=device-width,initial-scale=1&quot;&gt;&lt;link rel=&quot;icon&quot; href=&quot;/favicon.ico&quot;&gt;&lt;title&gt;frontend-web&lt;/title&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&quot;&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;https://use.fontawesome.com/releases/v5.8.2/css/all.css&quot; integrity=&quot;sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ&quot; crossorigin=&quot;anonymous&quot;&gt;&lt;link href=&quot;/css/products.9499f8c8.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/transaction.d253099c.css&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/about.2dfb0e5b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-login.3f381918.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth-register.6346cfe3.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/auth.1e4c9cfd.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/order.6fab8a7d.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/products.ddc11296.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/js/transaction.0141ad0b.js&quot; rel=&quot;prefetch&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;preload&quot; as=&quot;style&quot;&gt;&lt;link href=&quot;/js/app.7d529d6c.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/js/chunk-vendors.c9f64bfb.js&quot; rel=&quot;preload&quot; as=&quot;script&quot;&gt;&lt;link href=&quot;/css/chunk-vendors.4ee89b31.css&quot; rel=&quot;stylesheet&quot;&gt;&lt;/head&gt;&lt;body&gt;&lt;noscript&gt;&lt;strong&gt;We&#39;re sorry but frontend-web doesn&#39;t work properly without JavaScript enabled. Please enable it to continue.&lt;/strong&gt;&lt;/noscript&gt;&lt;div id=&quot;app&quot;&gt;&lt;/div&gt;&lt;script src=&quot;/js/chunk-vendors.c9f64bfb.js&quot;&gt;&lt;/script&gt;&lt;script src=&quot;/js/app.7d529d6c.js&quot;&gt;&lt;/script&gt;&lt;/body&gt;&lt;/html&gt;</code></pre>
				
				
			</details></td>
	</tr>
	<tr>
		<th scope="row">Parameter</th>
		<td><pre><code>Cache-Control</code></pre></td>
	</tr>
	
	<tr>
		<th scope="row">Evidence</th>
		<td><pre><code>public, max-age=0, must-revalidate</code></pre></td>
	</tr>
	<tr>
		<th scope="row">Solution</th>
		<td> 
<p>For secure content, ensure the cache-control HTTP header is set with &quot;no-cache, no-store, must-revalidate&quot;. If an asset should be cached consider setting the directives &quot;public, max-age, immutable&quot;.</p>
 </td>
	</tr>
</table>

											</details></li>
									</ol>
								</li>
								
							</ol>
						</li>
						
						
						
					</ol>
				</li>
				  
			</ol>
		</section>

		<section id="appendix" class="appendix">
			<h2>Appendix</h2>

			<section id="alert-types" class="alert-types">
				<h3>Alert types</h3>
				<p class="alert-types-intro">This section contains additional information on the types of alerts in the report.</p>
				<ol>
					<li
						id="alert-type-0">
						<h4>Cloud Metadata Potentially Exposed</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by an active scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/90034/">Cloud Metadata Potentially Exposed</a>)
									</span>   
								</td>
							</tr>
							
							
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://www.nginx.com/blog/trust-no-one-perils-of-trusting-user-input/">https://www.nginx.com/blog/trust-no-one-perils-of-trusting-user-input/</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-1">
						<h4>Content Security Policy (CSP) Header Not Set</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10038/">Content Security Policy (CSP) Header Not Set</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/693.html">693</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>15</td>
							</tr>
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://developer.mozilla.org/en-US/docs/Web/Security/CSP/Introducing_Content_Security_Policy">https://developer.mozilla.org/en-US/docs/Web/Security/CSP/Introducing_Content_Security_Policy</a></li>
										<li><a
											href="https://cheatsheetseries.owasp.org/cheatsheets/Content_Security_Policy_Cheat_Sheet.html">https://cheatsheetseries.owasp.org/cheatsheets/Content_Security_Policy_Cheat_Sheet.html</a></li>
										<li><a
											href="http://www.w3.org/TR/CSP/">http://www.w3.org/TR/CSP/</a></li>
										<li><a
											href="http://w3c.github.io/webappsec/specs/content-security-policy/csp-specification.dev.html">http://w3c.github.io/webappsec/specs/content-security-policy/csp-specification.dev.html</a></li>
										<li><a
											href="http://www.html5rocks.com/en/tutorials/security/content-security-policy/">http://www.html5rocks.com/en/tutorials/security/content-security-policy/</a></li>
										<li><a
											href="http://caniuse.com/#feat=contentsecuritypolicy">http://caniuse.com/#feat=contentsecuritypolicy</a></li>
										<li><a
											href="http://content-security-policy.com/">http://content-security-policy.com/</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-2">
						<h4>Cross-Domain Misconfiguration</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10098/">Cross-Domain Misconfiguration</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/264.html">264</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>14</td>
							</tr>
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://vulncat.fortify.com/en/detail?id=desc.config.dotnet.html5_overly_permissive_cors_policy">https://vulncat.fortify.com/en/detail?id=desc.config.dotnet.html5_overly_permissive_cors_policy</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-3">
						<h4>Hidden File Found</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by an active scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/40035/">Hidden File Finder</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/538.html">538</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>13</td>
							</tr>
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://blog.hboeck.de/archives/892-Introducing-Snallygaster-a-Tool-to-Scan-for-Secrets-on-Web-Servers.html">https://blog.hboeck.de/archives/892-Introducing-Snallygaster-a-Tool-to-Scan-for-Secrets-on-Web-Servers.html</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-4">
						<h4>Missing Anti-clickjacking Header</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10020/">Anti-clickjacking Header</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/1021.html">1021</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>15</td>
							</tr>
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options">https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-5">
						<h4>X-Content-Type-Options Header Missing</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10021/">X-Content-Type-Options Header Missing</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/693.html">693</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>15</td>
							</tr>
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="http://msdn.microsoft.com/en-us/library/ie/gg622941%28v=vs.85%29.aspx">http://msdn.microsoft.com/en-us/library/ie/gg622941%28v=vs.85%29.aspx</a></li>
										<li><a
											href="https://owasp.org/www-community/Security_Headers">https://owasp.org/www-community/Security_Headers</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-6">
						<h4>Information Disclosure - Suspicious Comments</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10027/">Information Disclosure - Suspicious Comments</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/200.html">200</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>13</td>
							</tr>
							
						</table>
					</li>
					<li
						id="alert-type-7">
						<h4>Modern Web Application</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10109/">Modern Web Application</a>)
									</span>   
								</td>
							</tr>
							
							
							
						</table>
					</li>
					<li
						id="alert-type-8">
						<h4>Re-examine Cache-control Directives</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10015/">Re-examine Cache-control Directives</a>)
									</span>   
								</td>
							</tr>
							<tr>
								<th scope="row">CWE ID</th>
								<td><a
									href="https://cwe.mitre.org/data/definitions/525.html">525</a></td>
							</tr>
							<tr>
								<th scope="row">WASC ID</th>
								<td>13</td>
							</tr>
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://cheatsheetseries.owasp.org/cheatsheets/Session_Management_Cheat_Sheet.html#web-content-caching">https://cheatsheetseries.owasp.org/cheatsheets/Session_Management_Cheat_Sheet.html#web-content-caching</a></li>
										<li><a
											href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control">https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cache-Control</a></li>
										<li><a
											href="https://grayduck.mn/2021/09/13/cache-control-recommendations/">https://grayduck.mn/2021/09/13/cache-control-recommendations/</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-9">
						<h4>Retrieved from Cache</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by a passive scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10050/">Retrieved from Cache</a>)
									</span>   
								</td>
							</tr>
							
							
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://tools.ietf.org/html/rfc7234">https://tools.ietf.org/html/rfc7234</a></li>
										<li><a
											href="https://tools.ietf.org/html/rfc7231">https://tools.ietf.org/html/rfc7231</a></li>
										<li><a
											href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec13.html (obsoleted by rfc7234)">http://www.w3.org/Protocols/rfc2616/rfc2616-sec13.html (obsoleted by rfc7234)</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
					<li
						id="alert-type-10">
						<h4>User Agent Fuzzer</h4>
						<table class="alert-types-table">
							<tr>
								<th scope="row">Source</th>
								<td>
									
									   <span>raised by an active scanner</span> <span>(<a
										href="https://www.zaproxy.org/docs/alerts/10104/">User Agent Fuzzer</a>)
									</span>   
								</td>
							</tr>
							
							
							<tr>
								<th scope="row">Reference</th>
								<td>
									<ol>
										<li><a
											href="https://owasp.org/wstg">https://owasp.org/wstg</a></li>
									</ol>
								</td>
							</tr>
						</table>
					</li>
				</ol>
			</section>
		</section>
		 
	</main>
</body>
</html>



